function [thetaunc, exitflag, fval]=estimfun(observedlabels,params,paramlabels,upperbound,lowerbound,nperiods,dr_,lgy_,funname,seed)
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%select appropriate line to either read data or make artificial data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% generate data from model (Monte Carlo)

randn('seed',seed);
% IN THIS CASE THE ESTIMATION PART WILL HAVE THE TRUE INITIAL STATE
zdata = makedata(dr_,nperiods,lgy_,observedlabels);

% IN THIS CASE THE ESTIMATION WILL NOT HAVE THE TRUE INITIAL STATE
%ndiscard = 200;
%zdata = makedata(dr_,nperiods+ndiscard,lgy_,observedlabels);
%zdata=zdata((ndiscard+1):(nperiods+ndiscard),:);


% load data from disk (actual estimation)
% load('estimdatanew');

% check function call
%updatemod(params,paramlabels,funname,observedlabels,upperbound,lowerbound,zdata)


display('Starting optimization')

%% use fminunc to minimize likelihood
% options = optimset('HessUpdate','bfgs','display','iter','MaxIter',1000,'MaxFunEvals',10000,'TolFun',1e-4,'TolX',1e-04);
% [likel q history amatsmall endogsmall]=updatemod(params,paramlabels,olsparams,olsparamlabels,modnam,parnam1,parnam2,observedlabels,upperbound,lowerbound,listdrop)
% updatemod(params,paramlabels,olsparams,olsparamlabels,modnam,parnam1,parnam2,observedlabels,upperbound,lowerbound,listdrop)
% [thetaunc,fval,exitflag,outparms,firstd,sigmaTilde] = ...
%    fminunc('updatemod',params,options,paramlabels,olsparams,olsparamlabels,modnam,parnam1,parnam2,observedlabels,upperbound,lowerbound,listdrop);

%use fminsearch to minimize likelihood
options = optimset('display','iter','MaxIter',1000,'MaxFunEvals',10000,'TolFun',0.001,'TolX',1e-03);
[thetaunc,fval,exitflag] = fminsearch('updatemod',params,options,paramlabels,funname,observedlabels,upperbound,lowerbound,zdata);
sigmaTilde = [];


%[likel,q,history,amatsmall,endogsmall] = updatemod(thetaunc,paramlabels,olsparams,olsparamlabels,modnam,parnam1,parnam2,observedlabels,upperbound,lowerbound,listdrop);
% get history of the unobserved states as implied by kalman filter at the
% estimates of the parameters
%[likel2,q,history,amatsmall,endogsmall] = updatemod(thetaunc,paramlabels,olsparams,olsparamlabels,modnam,parnam1,parnam2,observedlabels,upperbound,lowerbound,listdrop,1);
%fval = likel

% construct fitted values
% nobs = size(zdata,1);
% fitted = history;
% for i=1:nobs
%      fitted(:,i) = amatsmall*history(:,i);
% end
% 
% % retain fitted values for the obverved series only
% nvars = size(observedlabels,1);
% for i=1:nvars
%     selectfitted(i) = strmatch(observedlabels(i,:),endogsmall,'exact');
% end
% 
% fitted = fitted(selectfitted,:)';
% 
% % impute standard errors from the inverse of the Hessian from the
% % optimization problem
% if isempty(sigmaTilde)
%     stddev = [];
% else    
%    stddev = transpose((diag(inv(sigmaTilde))).^.5);
% end   
