%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get IRFS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function zdata = makedata(dr_,nperiods,lgy_,wishlist)

% wishlist is the list of variables to be simulated
% dr_ is the decision rule structure returned by dynare
% lgy_ is the dynare original ordering
% nperiods is the number of periods for the simulation
% each column of zdata contains simulated data for the corresponding 
% variable in wishlist.
history=mymkdata(dr_,nperiods);  % returns matrix containing simulated data for all variables


reordered = lgy_(dr_.order_var,:);          % the vector reordered contains names of variables
                                            % corresponding to rows of
                                            % history

                                            
nwishes = size(wishlist,1);
wishposlist = zeros(nwishes,1);
for i=1:nwishes
   wishposlist(i) = strmatch(wishlist(i,:),reordered,'exact');
end

zdata = history(wishposlist,:);

zdata = zdata';




