% coefficient on marginal cost in inflation equation
kappap_p = (1-beta_p*xip_p)*(1-xip_p)/xip_p;

% coefficient on marginal cost in export price inflation equation
kappam_p = (1-beta_p*xim_p)*(1-xim_p)/xim_p;

% coefficient on mrs in the wage inflation equation
kappaw_p = (1-beta_p*xiw_p)*(1-xiw_p)/xiw_p /( 1 + chi_p*le_p/(1-le_p)*(1+thetaw_p)/thetaw_p );

% rental rate for capital in ss
rk_p = 1/beta_p -1 +delta_p;

% wage rate in ss
zetac_p = (1-alpha_p)*(alpha_p/rk_p)^(alpha_p/(1-alpha_p));

% gdp in ss
gdp_p = (alpha_p/rk_p)^(alpha_p/(1-alpha_p))*le_p;

% saving rate in ss
s_p = (alpha_p/rk_p)*(delta_p);  

% government spending in SS
gc_p = shareg_p *gdp_p;

tr_p =  tauw_p*zetac_p*le_p + gc_p + taup_p*rk_p*s_p/delta_p*gdp_p;

% total consumption in ss
cctot_p = (1-s_p-shareg_p)*gdp_p;

% consumption of keynesian agents 
cck_p = (1+tauw_p) * zetac_p * le_p - tr_p;


% consumption of optimizers
cc_p = 1/(1-sharekey_p)*(cctot_p -sharekey_p*cck_p);

% lambda in ss
lambdac_p = 1/cc_p;

% parameter determining labor supply in SS
chi0_p = (1-le_p)^chi_p * lambdac_p * zetac_p;

% wmarkup
wmarkup_p = (((1-le_p)^(-chi_p))/lambdac_p) / zetac_p;
