function history = mymkirf(dr_,nperiods)

%  dr_ structure returned by dynare (AR form for the model)
%  lgy_ vector of variable names, returned by dynare
%  lgx_ vector of innovation names, returned by dynare
%  nperiods number of periods for IRFs



nvars = size(dr_.ghx,1);
nshocks = size(dr_.ghu,2);
statevar_pos = (dr_.nstatic +1):(nvars-dr_.nfwrd);

history = zeros(nvars,nperiods+1);

for i = 2:nperiods+1 
    history(:,i) = dr_.ghx*history(statevar_pos,i-1)+ dr_.ghu*randn(nshocks,1);
end

history = history(:,2:end);
