clear

% sets the path to the AIM for Matlab routines needed in solving the model
setpathdynare;

% modname below chooses model
% directory. But simple param choices are made from paramfile in current
% directory.
modname = 'stickyopeninv4';
funname = [modname,'f'];

% get the decision rule (to be used in Monte Carlo experiments)
emptylist = char('');
eval(['[dr_ ys_ lgy_ lgx_]=',funname,'(emptylist,0);'])

nreps = 10;                        %number of samples generated for Monte Carlo
nperiods = 200;                   %length of estimation samples

%model parameters
parnam1 = ['parmsimple'];     %holds fundamental structural parameters
parnam2 = ['parmcomposite'];  %holds model parameters that are functions of fundamental structural parameters


%Estimate only parameters of exogenous blocks
% observedlabels = char('shareg');
% paramlabels = char('rho_shareg_p');
% params =           [0.8329 ]';
% upperbound =       [0.995  ]';
% lowerbound =       [-0.01  ]';

%Estimate a deeper structural parameter
observedlabels = char('shareg','rer','pm');
paramlabels = char('rho_shareg_p','xim_p');
params =           [0.8329  0.5]';
upperbound =       [0.995   0.9]';
lowerbound =       [-0.01   0.2]';


%% run Monte Carlo

paramhistory = zeros(nreps,size(params,1));
stddev = zeros(nreps,size(params,1));
exitflag = zeros(nreps,1);

for i=1:nreps
    seed = i;
    [paramhistory(i,:) exitflag(i) likel]=estimfun(observedlabels,params,paramlabels,upperbound,lowerbound,nperiods,dr_,lgy_,funname,seed); 
end


%
% nobs = size(zdata,1);
% nvars = size(observedlabels);
% for i=1:nvars
%     figure
%     subplot(2,1,1)
%     plot(20:nobs,zdata(20:nobs,i),20:nobs,fitted(20:nobs,i))
%     legend('Data','Fitted Values')
%     title(observedlabels(i,:))
%     subplot(2,1,2)
%     plot(zdata(20:nobs,i)-fitted(20:nobs,i))
%     title('Residuals')
%     
%     varname = deblank(observedlabels(i,:));
%     eval([varname,'_resid=zdata(:,i)-fitted(:,i);'])
%     eval([varname,'_fitted=fitted(:,i);'])
% end
% 
% save estimates2 paramhistory exitflag

 

